<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <script src="{{ url_for('static', filename='/generator.js') }}"></script>
    <!-- <title>CPE Config Generator</title> -->
    <style>
        #copied_msg {
            position: fixed;
            left: 50%;
            /* top: 25%; */
            -webkit-transform: translate(-50%);
            transform: translate(-50%);
            z-index: 1;
        }

        .b-top-rounded {
            border-radius: 3px 3px 0px 0px;
        }
    </style>
</head>

<body>
    <h1 class="text-center mt-2">CPE Config Generator</h1>
    <div class="container mt-4">
        <div class="form-group w-75">
            <label for="cpe_type" class="font-weight-bold">CPE type:</label>
            <select id="cpe_type" class="form-control d-inline w-25">
                <option value="cisco_881" selected>Cisco 881</option>
                <option value="cisco_891">Cisco 891</option>
                <option value="cisco_891f">Cisco 891-F</option>
                <option value="cisco_920">Cisco 920</option>
                <option value="adtran_9">Adtran 908/916</option>
                <option value="adtran_3140">Adtran 3140</option>
                <option value="adtran_3448">Adtran 3448</option>
            </select>
        </div>
        <div class="d-flex justify-content-between">
            <div>
                <div class="form-check-inline ml-3" id="public_ip_div">
                    <input type="checkbox" id="public_ip" class="form-check-input ml-4" checked>public IP address
                    required?
                </div>
                <spin id="switch_div" class="ml-5" style="display: none;">
                    <input type="checkbox" id="switch" class="form-check-input" checked>switch configuration required?
                </spin>
            </div>
            <div>
                <button type="button" class="btn btn-default btn-sm mr-4 mt-2" id="reset_btn">
                    <img src="{{ url_for('static', filename='/icons/reset.svg') }}" alt="reset icon" width="12"
                        height="12">&nbsp;CLEAN
                </button>
            </div>
        </div>
        <hr>
        <!-- <div class="d-flex justify-content-center"> -->
        <div class="alert alert-dark alert-dismissible">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <div class="d-flex justify-content-around w-75 mx-auto">
                <div class="d-inline"><strong>d -</strong> one number</div>
                <div class="d-inline"><strong>x -</strong> one number/capital letter</div>
                <div class="d-inline"><strong>D -</strong> multiple numbers</div>
                <div class="d-inline"><strong>X.X.X.X -</strong> one IP</div>
            </div>
        </div>
        <table class="mt-5 ml-1" style="width: 100%">
            <tr>
                <th style="width: 330px;"><label for="hostname">Route hostname:</label></th>
                <td><input type="text" id="hostname" placeholder="GGxxx-xxxxx-RCC-dd" class="form-control w-50 mb-1">
                </td>
            </tr>
            <tr>
                <th><label for="location">Location:</label></th>
                <td><input type="text" id="location" placeholder="City,State" class="form-control w-50 mb-1"></td>
            </tr>
            <tr>
                <th><label for="account_num">Account number:</label></th>
                <td><input type="text" id="account_num" placeholder="D" class="form-control w-50 mb-1">
                </td>
            </tr>
            <tr id="cia_div">
                <th><label for="cia">Customer IP address:</label></th>
                <td><input type="text" id="cia" placeholder="X.X.X.X" class="form-control w-50 mb-1 d-inline">&nbsp;
                    <a href="#" data-toggle="popover" data-trigger="focus" data-html="true"
                        data-popover-content="#pop1">
                        <img src="{{ url_for('static', filename='/icons/prompt.svg') }}" alt="prompt icon" width="13"
                            height="13" class="mb-1 mr-1">
                        <div class="d-none" id="pop1">
                            <div class="popover-heading">Valid IP ranges</div>
                            <div class="popover-body">
                                <ul class='mb-0'>
                                    <li>[104.218.180.0, 104.218.184.0)</li>
                                    <li>[172.85.128.0, 172.85.255.255)</li>
                                    <li>[134.204.0.0, 134.204.128.0)</li>
                                    <li>[134.6.0.0, 134.6.255.255)</li>
                                </ul>
                            </div>
                        </div>
                    </a>
                    <span id="first_ip_div" style="display: none;">
                        <button type="button" class="btn btn-default btn-sm">
                            <img src="{{ url_for('static', filename='/icons/left-arrows.svg') }}" alt="shift icon"
                                width="13" height="13" class="mb-1">
                        </button>
                        <span class="text-danger">X.X.X.X is the first usable IP</span>
                    </span>
                </td>
            </tr>
            <tr id="cim_div">
                <th><label for="cim">Customer IP mask:</label></th>
                <td>
                    <!-- <input type="text" id="cim" , placeholder="X.X.X.X" class="form-control w-50 mb-1"> -->
                    <select id="cim" class="form-control w-50 mb-1">
                        <option value="255.255.255.254">255.255.255.254</option>
                        <option value="255.255.255.252">255.255.255.252</option>
                        <option value="255.255.255.248">255.255.255.248</option>
                        <option value="255.255.255.240">255.255.255.240</option>
                        <option value="255.255.255.224">255.255.255.224</option>
                        <option value="255.255.255.192">255.255.255.192</option>
                        <option value="255.255.255.128">255.255.255.128</option>
                        <option value="255.255.255.0" selected>255.255.255.0</option>
                    </select>
                </td>
            </tr>
            <tr id="lia10_tr">
                <th><label for="lia10">Loopback IP address for NAT:</label></th>
                <td><input type="text" id="lia10" placeholder="X.X.X.X" class="form-control w-50 mb-1 d-inline">&nbsp;
                    <a href="#" data-toggle="popover" data-trigger="focus" data-html="true"
                        data-popover-content="#pop2">
                        <img src="{{ url_for('static', filename='/icons/prompt.svg') }}" alt="prompt icon" width="13"
                            height="13" class="mb-1 mr-1">
                        <div class="d-none" id="pop2">
                            <div class="popover-heading">
                                Valid IP ranges<span class="d-block text-right"><i class="small">* Invalid if
                                        <b>Customer IP address</b> falls in</i></span>
                            </div>
                            <div class="popover-body">
                                <ul class='mb-0'>
                                    <li>[104.218.180.0, 104.218.184.0) *</li>
                                    <li>[172.85.128.0, 172.85.255.255) *</li>
                                    <li>[134.204.0.0, 134.204.128.0) *</li>
                                    <li>[134.6.0.0, 134.6.255.255) *</li>
                                </ul>
                            </div>
                        </div>
                    </a>
                </td>
            </tr>
            <tr id="sm10_tr">
                <th><label for="sm10">Subnet mask 10:</label></th>
                <td><input type="text" id="sm10" class="form-control w-50 mb-1" placeholder="255.255.255.255"
                        value="255.255.255.255" disabled></td>
            </tr>
            <tr>
                <th><label for="lia66">Loopback IP address for management:</label></th>
                <td><input type="text" id="lia66" placeholder="X.X.X.X" class="form-control w-50 mb-1 d-inline">&nbsp;
                    <a href="#" data-toggle="popover" data-trigger="focus" data-html="true"
                        data-popover-content="#pop3">
                        <img src="{{ url_for('static', filename='/icons/prompt.svg') }}" alt="prompt icon" width="13"
                            height="13" class="mb-1 mr-1">
                        <div class="d-none" id="pop3">
                            <div class="popover-heading">Valid IP range</div>
                            <div class="popover-body">
                                <ul class='mb-0'>
                                    <li>[198.18.0.0, 198.18.255.255)</li>
                                </ul>
                            </div>
                        </div>
                    </a>
                </td>
            </tr>
            <tr>
                <th><label for="sm66">Subnet mask 66:</label></th>
                <td><input type="text" id="sm66" class="form-control w-50 mb-1" placeholder="255.255.255.255"
                        value="255.255.255.255" disabled></td>
            </tr>
        </table>
        <!-- </div> -->
        <br><br>
        <button type="button" id="preview_btn" class="btn btn-outline-secondary btn-block">Preview</button>

        <!-- The Modal -->
        <div class="modal" id="config_modal">
            <div class="modal-dialog modal-lg modal-dialog-scrollable">
                <div class="modal-content">

                    <!-- Modal Header -->
                    <div class="modal-header d-flex justify-content-between pb-0">
                        <!-- <h1 class="modal-title">CPE configuration</h1> -->
                        <button type="button" class="btn btn-light mb-3" id="copy_btn">
                            <img src="{{ url_for('static', filename='/icons/copy-regular.svg') }}" alt="copy icon"
                                width="12" height="12">&nbsp;Copy
                        </button>
                        <div class="mt-3" id="btns_div">
                            <button type="button" class="btn btn-secondary btn-sm mt-1 b-top-rounded" value="config">
                                <img src="{{ url_for('static', filename='/icons/home-solid.svg') }}" alt="home icon"
                                    width="23" height="18" class="mb-1"><span class="small font-italic">.config</span>
                            </button>
                            <div class="btn-group">
                                <button type="button" class="btn btn-light rounded-0" value="1234p"><b>1234p</b><span
                                        class="small font-italic">.switch.config</span></button>
                                <button type="button" class="btn btn-light rounded-0" value="1531p"><b>1531p</b><span
                                        class="small font-italic">.switch.config</span></button>
                            </div>
                        </div>
                        <div class="mr-2 mt-1">
                            <button type="button" class="close" data-dismiss="modal">×</button>
                        </div>
                    </div>

                    <!-- Modal body -->
                    <div class="modal-body" id="config_body">
                        <div id="copied_msg" class="text-center px-3 py-3 bg-white rounded shadow"
                            style="display: none;">Commands copied.</div>
                    </div>

                    <!-- Modal footer -->
                    <div class="modal-footer">
                        <button type="button" id="download_btn" class="btn btn-danger"
                            data-dismiss="modal">Download</button>
                    </div>

                </div>
            </div>
        </div>

    </div>
</body>

</html>